<div [ngClass]="{'editMode' : creator.editMode}" *ngIf="tmpOriginalData">

  <ion-toolbar *ngIf="creator.editMode" color="dark">

    <ion-buttons left>
      <button ion-button small (click)="editMode = !editMode">✎</button>
    </ion-buttons>

    <ion-grid no-padding>
      <ion-row>
        <ion-col>
          <ion-item color="dark" no-lines>
            <ion-label>Template</ion-label>
            <ion-select [ngModel]="tmpOriginalData" [compareWith]="compareFn" #history (ionChange)="setData(history.value)">
              <ion-option [value]="newData">New template</ion-option>
              <ion-option *ngFor="let item of historyObserver$ | async" [value]="item">
                {{item.data.name || 'Template X'}}
                <span *ngIf="helperProv.compare(item, currentActiveContent)">◉</span>
              </ion-option>
            </ion-select>
          </ion-item>
        </ion-col>
      </ion-row>
    </ion-grid>

    <ion-buttons right>

      <button clear ion-button [disabled]="helperProv.compare(originalData, tmpOriginalData)" (click)="revertAll()">
        ↺
      </button>

      <button clear ion-button [disabled]="helperProv.compare(originalData, tmpOriginalData)" (click)="update()">
        ✔
      </button>

    </ion-buttons>

    <div *ngIf="editMode">
      <ion-item color="dark">
        <ion-label stacked class="required">Name</ion-label>
        <ion-input name="historyEntryName" type="text" [(ngModel)]="tmpOriginalData.data.name" required></ion-input>
      </ion-item>

      <ion-item color="dark">
        <ion-label stacked>Active from</ion-label>
        <ion-datetime [(ngModel)]="tmpOriginalData.data.active"
                      displayFormat="DD.MM.YYYY HH:mm UTC"
                      pickerFormat="DD.MM.YYYYTHH:mm"
                      doneText="{{ 'BUTTON.SAVE' | translate }}"
                      cancelText="{{ 'BUTTON.ABORT' | translate }}"></ion-datetime>
      </ion-item>
      <ion-toolbar>
        <ion-buttons>
          <button ion-button *ngIf="tmpOriginalData.id" (click)="deleteHistory()" color="danger" title="Delete">Delete</button>
        </ion-buttons>
      </ion-toolbar>
    </div>

  </ion-toolbar>

  <creator-widgets [(widgets)]="tmpOriginalData.data.widgets"></creator-widgets>

</div>